Bug 32752 - [MAINTAINER UPDATE] Upgrade libesmtp to 0.8.8
Summary: [MAINTAINER UPDATE] Upgrade libesmtp to 0.8.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-12-12 15:50 UTC by John Merryweather Cooper
Modified: 2001-12-12 19:43 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2001-12-12 15:50:00 UTC
	Improved build performance across platforms is the major feature
	of this release:

	1) autoconf is no longer required by FreeBSD to build this port;
	2) the acinclude.m4 macros have been heavily modified by Brian
	Stafford (with a little help from me) to correctly detect and
	build PTHREAD support for FreeBSD under both -STABLE and -CURRENT.
	The technique we chose is flexible enough to support most any
	eventuality since the PTHREAD configuration macro will attempt to
	select build-environment values as the optimum PTHREAD build
	configuration unless the values fail under test.  (this is supposed
	to work correctly even for AIX)

	OTHER PORTERS TAKE NOTE:  You might want to look long and hard at
	the acinclude.m4 file . . . :)

Fix: Summary of file changes:

 'libesmtp.new/Makefile' |    0 
 'libesmtp.new/distinfo' |    0 
 ./Makefile              |   26 +++++++++++---------------
 ./distinfo              |    2 +-
 4 files changed, 12 insertions(+), 16 deletions(-)

	The patch:

# This is a patch for libesmtp to update it to libesmtp.new
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####


#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Wed Dec 12 07:33:14 2001
# Generated by        : makepatch 2.00
# Recurse directories : Yes
# p 'Makefile' 1426 1007562246 0100644
# p 'distinfo' 64 1007560853 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Wed Dec 12 07:33:14 2001] ####
#### Checksum: 94 3259 52642 ####--5gAmRY6NPr04DdZ6JqFWxZZ7QoZgdHzUN6mnSE9a8euRRiWw
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -u 'libesmtp/Makefile' 'libesmtp.new/Makefile'
Index: ./Makefile
--- ./Makefile	Sun Nov 18 16:41:14 2001
+++ ./Makefile	Wed Dec  5 06:24:06 2001
@@ -2,10 +2,10 @@
 # Date created:         Sun Feb 21 2001
 # Whom:                 tobez@tobez.org
 #
-# $FreeBSD: ports/mail/libesmtp/Makefile,v 1.12 2001/11/18 22:48:04 tobez Exp $
+# $FreeBSD$
 
 PORTNAME=	libesmtp
-PORTVERSION=	0.8.7
+PORTVERSION=	0.8.8
 CATEGORIES=	mail
 MASTER_SITES=	http://www.stafford.uklinux.net/libesmtp/ \
 		http://www.tobez.org/download/port-mirrors/mail/libesmtp/ \
@@ -16,30 +16,26 @@
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_OPENSSL=	yes
-USE_AUTOCONF=	yes
 USE_LIBTOOL=	yes
-LIBTOOLFILES=	${WRKSRC}/aclocal.m4 ${WRKSRC}/libltdl/aclocal.m4
 INSTALLS_SHLIB=	yes
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		PTHREAD_LIBS="${PTHREAD_LIBS}" \
 		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
-		LIBS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
+		LIBS="-L${LOCALBASE}/lib"
 
 # require-all-recipients (implied by enable-all) is required for Balsa-1.2.x
-CONFIGURE_ARGS=	--enable-all \
-		--disable-ltdl-install
-
+CONFIGURE_ARGS=	--enable-all
 pre-build:
 	@${CP} ${WRKSRC}/libltdl/libtool ${WRKSRC}/libtool
 
 post-install:
 .ifndef(NOPORTDOCS)
-	${MKDIR} ${PREFIX}/share/examples/libesmtp
-	${MKDIR} ${PREFIX}/share/doc/libesmtp
-	${INSTALL_DATA} ${WRKSRC}/examples/* ${PREFIX}/share/examples/libesmtp
-	${INSTALL_DATA} ${WRKSRC}/INSTALL ${PREFIX}/share/doc/libesmtp
-	${INSTALL_DATA} ${WRKSRC}/Notes ${PREFIX}/share/doc/libesmtp
-	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/libesmtp
+	@${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/examples/* ${EXAMPLESDIR}
+	@${INSTALL_DATA} ${WRKSRC}/INSTALL ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/Notes ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>
diff -u 'libesmtp/distinfo' 'libesmtp.new/distinfo'
Index: ./distinfo
--- ./distinfo	Sun Nov 18 16:41:14 2001
+++ ./distinfo	Wed Dec  5 06:00:53 2001
@@ -1 +1 @@
-MD5 (libesmtp-0.8.7.tar.bz2) = e42722f24a5f8cfe250e3c9c3b64cd0a
+MD5 (libesmtp-0.8.8.tar.bz2) = 6dc3102123e825bc49cc8050f316ba50
#### End of Patch data ####
How-To-Repeat: 	N/A
Comment 1 Ying-Chieh Liao freebsd_committer 2001-12-12 19:43:17 UTC
State Changed
From-To: open->closed

committed, thanks